Loading...
Searching...
No Matches
myname.c File Reference

GIS Library - Database name functions. More...

`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for myname.c:

Go to the source code of this file.

## Functions

char * | G_myname (void)
| Returns location title.

## Detailed Description

GIS Library - Database name functions.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file myname.c.

## Function Documentation

## G_myname()

char * G_myname | ( | void |  | ) |

Returns location title.

Returns a one line title for the database location. This title is read from the file MYNAME in the PERMANENT mapset. See also Permanent_Mapset for a discussion of the PERMANENT mapset.

Note: This name is the first line in the file $GISDBASE/$LOCATION_NAME/PERMANENT/MYNAME

Returns
  pointer to a string

Definition at line 30 of file myname.c.

References G_file_name(), G_getl(), G_store(), name, and strcpy.